import React from 'react';
import { SpinnerProps } from 'react-spinkit';
export interface LoadingProps {
    loading?: boolean;
    className?: string;
    wrapClassName?: string;
    spinnerProps?: SpinnerProps;
    children?: React.ReactNode | null;
    text?: React.ReactNode;
    type?: 'mask' | 'cover';
    style?: React.CSSProperties;
}
export default function Loading({ children, loading, spinnerProps, text, wrapClassName, className, type, style, }: LoadingProps): JSX.Element;
