"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Loading;

var _react = _interopRequireDefault(require("react"));

var _reactSpinkit = _interopRequireDefault(require("react-spinkit"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    position: relative;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    left: 0;\n    top: 0;\n    right: 0;\n    bottom: 0;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    text-align: center;\n    position: ", ";\n\n    &::after {\n        position: absolute;\n        content: '';\n        left: 0;\n        top: 0;\n        right: 0;\n        bottom: 0;\n        background: rgba(255, 255, 255, 0.8);\n        filter: blur(1px);\n        z-index: 999998;\n        display: none;\n        display: ", ";\n    }\n\n    & > :first-child {\n        position: relative;\n        z-index: 999999;\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var mapList = {
  mask: {
    position: 'absolute',
    display: 'block'
  },
  cover: {
    position: 'relative',
    display: 'none'
  }
};

function Loading(_ref) {
  var children = _ref.children,
      _ref$loading = _ref.loading,
      loading = _ref$loading === void 0 ? true : _ref$loading,
      spinnerProps = _ref.spinnerProps,
      text = _ref.text,
      wrapClassName = _ref.wrapClassName,
      className = _ref.className,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'cover' : _ref$type,
      _ref$style = _ref.style,
      style = _ref$style === void 0 ? {} : _ref$style;

  var _ref2 = mapList[type] || {},
      position = _ref2.position,
      display = _ref2.display;

  return /*#__PURE__*/_react["default"].createElement(StyledWrap, {
    className: wrapClassName
  }, loading && /*#__PURE__*/_react["default"].createElement(StyledLoading, {
    hasChildren: !!children,
    position: position,
    display: display,
    className: className,
    style: style
  }, /*#__PURE__*/_react["default"].createElement(_reactSpinkit["default"], spinnerProps), text), type === 'mask' || !loading ? children : null);
}

var StyledLoading = _styledComponents["default"].div(_templateObject(), function (_ref3) {
  var position = _ref3.position;
  return position;
}, function (_ref4) {
  var display = _ref4.display;
  return display;
});

var StyledWrap = _styledComponents["default"].div(_templateObject2());