/// <reference types="react" />
import { ModelConfig } from 'model-redux';
import { ApiManageOptions } from 'api-manage';
import { TReStore } from './store';
interface Init {
    models?: any[];
    apiConfig?: ApiManageOptions;
    modelConfig?: ModelConfig;
    requestLoadingConfig?: TReStore['requestLoadingProps'];
}
declare const init: ({ models, apiConfig, modelConfig, requestLoadingConfig, }: Init) => {
    Provider: import("react").FC<{}>;
    dispatch: import("redux").Dispatch<import("redux").Action<any>>;
};
export { init };
